<div class="header bg-gradient-info pb-8 pt-5 pt-md-8">
  <div class="container-fluid">
    <div class="header-body">
      <!-- Card stats -->
      <div class="row"></div>
    </div>
  </div>
</div>

<!-- Page content -->
<div class="container-fluid mt--7">
  <!-- Table -->
  <div class="row">
    <div class="col-xl-6">
      <div class="card shadow">
        <div class="card-header border-0">
          <h3 class="mb-0">universités</h3>
        </div>
        <br />
        <form name="form" (ngSubmit)="f.form.valid && onSubmit()" #f="ngForm">
            
            
            <mat-form-field appearance="fill">
            <mat-label >Nom</mat-label>
            <input [(ngModel)]="university.title" name="title" required matInput>
          </mat-form-field>
          <br>
               
          <mat-form-field appearance="fill">
            <mat-label >Email</mat-label>
            <input [(ngModel)]="university.email" name="email"  pattern="[a-z0-9._%+-]+@[a-z0-9.-]+\.[a-z]{2,}$"      type ="email" required matInput>
          </mat-form-field>
          <br>
          <mat-form-field appearance="fill">
            <mat-label >mot de passe</mat-label>
            <input [(ngModel)]="password" name="password" minlength="6"            required matInput>
          </mat-form-field>
          <br>
          <button mat-button type="submit"  class="btn btn-success">Enregistrer</button>

       
        </form>
        
     <!--    <button mat-button (click)="generate()" class="btn btn-success">generate</button> -->

        <div class="card-footer py-4"></div>
      </div>
    </div>
    <div class="col-xl-5">
      <div class="card shadow">
        <div class="card-header border-0">
          <h3 class="mb-0">Universities</h3>

           <div *ngFor="let v of universities">
             {{v.title}} <i class="fas fa-trash-alt" (click)="delete(v)"></i>



           </div>

        </div>
        </div>
        </div>
  </div>
</div>
